%define pypi_name qpageview

Name:           python-%{pypi_name}
Version:        1.0.0
Release:        %mkrel 2
Summary:        Widget to display page-based documents for Qt6/PyQt6
Group:          Development/Python
License:        GPLv3+ AND GPLv2+
# https://github.com/frescobaldi/qpageview
URL:            https://qpageview.org/
Source0:        %{pypi_source %pypi_name}
BuildArch:      noarch

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(sphinx-mdinclude)
BuildRequires:  python3dist(hatchling)
BuildRequires:  python3dist(pip)
BuildRequires:  python3dist(wheel)
BuildRequires:  python3-qt6-devel
BuildRequires:  python3-qt6-pdf
BuildRequires:  python3-docs

%description
The qpageview module provides a page based document viewer widget
for Qt6/PyQt6.
It has a flexible architecture potentionally supporting many
formats. Currently, it supports SVG documents, images, and,
using the Poppler-Qt6 binding, PDF documents.

%package -n     python3-%{pypi_name}
Summary:        Widget to display page-based documents for Qt5/PyQt5
Group:          Development/Python
Provides:       %{pypi_name} = %{version}-%{release}
Requires:       python3-qt6-core
Requires:       python3-qt6-gui
Requires:       python3-qt6-printsupport
Recommends:     python3-qt6-pdf
Requires:       python3-qt6-svg
Requires:       python3-qt6-widgets

%description -n python3-%{pypi_name}
The qpageview module provides a page based document viewer widget
for Qt6/PyQt6.
It has a flexible architecture potentionally supporting many
formats. Currently, it supports SVG documents, images, and,
using the Poppler-Qt6 binding, PDF documents.

%prep
%autosetup -n %{pypi_name}-%{version}

# Use local objects.inv for intersphinx
sed -e "s|\('https://docs\.python\.org/3', \)None|\1'%{_docdir}/python3-docs/html/objects.inv'|" \
  -i docs/source/conf.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files qpageview

%check
%pyproject_check_import

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc html README.rst
%license LICENSE docs/source/license.rst


%changelog
* Tue Jun 24 2025 daviddavid <daviddavid> 1.0.0-2.mga10
+ Revision: 2194342
- relax dependencies

* Thu Apr 03 2025 daviddavid <daviddavid> 1.0.0-1.mga10
+ Revision: 2173258
- new version: 1.0.0
- switch to PyQt6

* Mon Mar 03 2025 wally <wally> 0.6.2-3.mga10
+ Revision: 2159921
- rebuild for python3.13

* Thu Dec 28 2023 daviddavid <daviddavid> 0.6.2-2.mga10
+ Revision: 2022799
- rebuild for py3.12

* Tue Jan 03 2023 daviddavid <daviddavid> 0.6.2-1.mga9
+ Revision: 1929659
- initial package python-qpageview (needed for frescobaldi mga#31357)

